org.eclipse.net4j.db.jdbc

## Class DelegatingConnection.Default

- java.lang.Object
- - org.eclipse.net4j.db.jdbc.DelegatingConnection
  - - org.eclipse.net4j.db.jdbc.DelegatingConnection.Default

- All Implemented Interfaces:
    AutoCloseable, Connection, Wrapper
  Enclosing class:
    DelegatingConnection

      public static class DelegatingConnection.Default
      extends DelegatingConnection

  Author:
    Eike Stepper

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.net4j.db.jdbc.DelegatingConnection

      `DelegatingConnection.Default`

  - ### Field Summary

    - ### Fields inherited from interface java.sql.Connection

      `TRANSACTION_NONE, TRANSACTION_READ_COMMITTED, TRANSACTION_READ_UNCOMMITTED, TRANSACTION_REPEATABLE_READ, TRANSACTION_SERIALIZABLE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Default(Connection delegate)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `PreparedStatement` | `prepareStatement(String sql)`
    `PreparedStatement` | `prepareStatement(String sql, int autoGeneratedKeys)`
    `PreparedStatement` | `prepareStatement(String sql, int[] columnIndexes)`
    `PreparedStatement` | `prepareStatement(String sql, int resultSetType, int resultSetConcurrency)`
    `PreparedStatement` | `prepareStatement(String sql, int resultSetType, int resultSetConcurrency, int resultSetHoldability)`
    `PreparedStatement` | `prepareStatement(String sql, String[] columnNames)`

    - ### Methods inherited from class org.eclipse.net4j.db.jdbc.DelegatingConnection

      `abort, clearWarnings, close, commit, createArrayOf, createBlob, createClob, createNClob, createSQLXML, createStatement, createStatement, createStatement, createStruct, getAutoCommit, getCatalog, getClientInfo, getClientInfo, getDelegate, getHoldability, getMetaData, getNetworkTimeout, getSchema, getTransactionIsolation, getTypeMap, getWarnings, isClosed, isReadOnly, isValid, isWrapperFor, nativeSQL, prepareCall, prepareCall, prepareCall, releaseSavepoint, rollback, rollback, setAutoCommit, setCatalog, setClientInfo, setClientInfo, setHoldability, setNetworkTimeout, setReadOnly, setSavepoint, setSavepoint, setSchema, setTransactionIsolation, setTypeMap, unwrap`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Default

          public Default(Connection delegate)

  - ### Method Detail

    - #### prepareStatement

          public PreparedStatement prepareStatement(String sql)
                                             throws SQLException

      Specified by:
        `prepareStatement` in interface `Connection`
      Specified by:
        `prepareStatement` in class `DelegatingConnection`
      Throws:
        `SQLException`

    - #### prepareStatement

          public PreparedStatement prepareStatement(String sql,
                                                    int resultSetType,
                                                    int resultSetConcurrency)
                                             throws SQLException

      Specified by:
        `prepareStatement` in interface `Connection`
      Specified by:
        `prepareStatement` in class `DelegatingConnection`
      Throws:
        `SQLException`

    - #### prepareStatement

          public PreparedStatement prepareStatement(String sql,
                                                    int resultSetType,
                                                    int resultSetConcurrency,
                                                    int resultSetHoldability)
                                             throws SQLException

      Specified by:
        `prepareStatement` in interface `Connection`
      Specified by:
        `prepareStatement` in class `DelegatingConnection`
      Throws:
        `SQLException`

    - #### prepareStatement

          public PreparedStatement prepareStatement(String sql,
                                                    int autoGeneratedKeys)
                                             throws SQLException

      Specified by:
        `prepareStatement` in interface `Connection`
      Specified by:
        `prepareStatement` in class `DelegatingConnection`
      Throws:
        `SQLException`

    - #### prepareStatement

          public PreparedStatement prepareStatement(String sql,
                                                    int[] columnIndexes)
                                             throws SQLException

      Specified by:
        `prepareStatement` in interface `Connection`
      Specified by:
        `prepareStatement` in class `DelegatingConnection`
      Throws:
        `SQLException`

    - #### prepareStatement

          public PreparedStatement prepareStatement(String sql,
                                                    String[] columnNames)
                                             throws SQLException

      Specified by:
        `prepareStatement` in interface `Connection`
      Specified by:
        `prepareStatement` in class `DelegatingConnection`
      Throws:
        `SQLException`

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html